# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "amq-protocol"
  s.version = "1.9.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jakub Stastny", "Michael S. Klishin", "Theo Hultberg", "Mark Abramov"]
  s.date = "2013-12-20"
  s.description = "  amq-protocol is an AMQP 0.9.1 serialization library for Ruby. It is not an\n  AMQP client: amq-protocol only handles serialization and deserialization.\n  If you want to write your own AMQP client, this gem can help you with that.\n"
  s.email = ["michael@novemberain.com", "stastny@101ideas.cz"]
  s.extra_rdoc_files = ["README.md"]
  s.files = [".gitignore", ".gitmodules", ".rspec", ".travis.yml", "ChangeLog.md", "Gemfile", "LICENSE", "README.md", "Rakefile", "amq-protocol.gemspec", "benchmarks/int_allocator.rb", "benchmarks/pure/body_framing_with_256k_payload.rb", "benchmarks/pure/body_framing_with_2k_payload.rb", "codegen/__init__.py", "codegen/amqp_0.9.1_changes.json", "codegen/codegen.py", "codegen/codegen_helpers.py", "codegen/protocol.rb.pytemplate", "generate.rb", "lib/amq/bit_set.rb", "lib/amq/endianness.rb", "lib/amq/int_allocator.rb", "lib/amq/pack.rb", "lib/amq/protocol.rb", "lib/amq/protocol/client.rb", "lib/amq/protocol/constants.rb", "lib/amq/protocol/exceptions.rb", "lib/amq/protocol/float_32bit.rb", "lib/amq/protocol/frame.rb", "lib/amq/protocol/table.rb", "lib/amq/protocol/table_value_decoder.rb", "lib/amq/protocol/table_value_encoder.rb", "lib/amq/protocol/type_constants.rb", "lib/amq/protocol/version.rb", "lib/amq/settings.rb", "lib/amq/uri.rb", "profiling/README.md", "profiling/stackprof/body_framing_with_2k_payload.rb", "spec/amq/bit_set_spec.rb", "spec/amq/int_allocator_spec.rb", "spec/amq/pack_spec.rb", "spec/amq/protocol/basic_spec.rb", "spec/amq/protocol/blank_body_encoding_spec.rb", "spec/amq/protocol/channel_spec.rb", "spec/amq/protocol/confirm_spec.rb", "spec/amq/protocol/connection_spec.rb", "spec/amq/protocol/constants_spec.rb", "spec/amq/protocol/exchange_spec.rb", "spec/amq/protocol/frame_spec.rb", "spec/amq/protocol/method_spec.rb", "spec/amq/protocol/queue_spec.rb", "spec/amq/protocol/table_spec.rb", "spec/amq/protocol/tx_spec.rb", "spec/amq/protocol/value_decoder_spec.rb", "spec/amq/protocol/value_encoder_spec.rb", "spec/amq/protocol_spec.rb", "spec/amq/settings_spec.rb", "spec/amq/uri_parsing_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "http://github.com/ruby-amqp/amq-protocol"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "amq-protocol"
  s.rubygems_version = "1.8.23"
  s.summary = "AMQP 0.9.1 encoder & decoder."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
